import React from 'react';
import { ViewStyle } from 'react-native';
import { IBoxProps } from '../../primitives';
declare type sizes = 'xs' | 'sm' | 'md' | 'lg' | 'xl' | '2xl';
export declare type ICircularProgressProps = IBoxProps & {
    style?: ViewStyle;
    children?: JSX.Element | JSX.Element[];
    value: number;
    size?: number | sizes;
    thickness?: number;
    color?: string;
    trackColor?: string;
    isIndeterminate?: any;
    max?: number;
    min?: number;
};
export declare const CircularProgressLabel: React.MemoExoticComponent<React.ForwardRefExoticComponent<import("styled-system").ColorProps<Required<import("styled-system").Theme<React.ReactText>>, string | number | symbol> & import("styled-system").SpaceProps<Required<import("styled-system").Theme<React.ReactText>>, string | number | symbol> & import("styled-system").PositionProps<Required<import("styled-system").Theme<React.ReactText>>> & import("styled-system").PositionProps<Required<import("styled-system").Theme<React.ReactText>>> & import("styled-system").TypographyProps<Required<import("styled-system").Theme<React.ReactText>>> & import("../../../utils/customProps").customPositionProps & import("../../../utils/customProps").customBorderProps & import("../../../utils/customProps").customExtraProps & import("../../../utils/customProps").customOutlineProps & import("../../../utils/customProps").customShadowProps & import("../../../utils/customProps").customLayoutProps & import("../../../utils/customProps").customBackgroundProps & import("../../../utils/customProps").customTypographyProps & {
    children?: React.ReactNode;
    fontSize?: string | number | string[] | number[] | Record<string, string> | undefined;
    noOfLines?: number | undefined;
    style?: any;
    bold?: boolean | undefined;
    isTruncated?: boolean | undefined;
    italic?: boolean | undefined;
    underline?: boolean | undefined;
    strikeThrough?: boolean | undefined;
    sub?: boolean | undefined;
    highlight?: boolean | undefined;
} & React.RefAttributes<any>>>;
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<Pick<ICircularProgressProps, "style" | "children" | "flex" | "bg" | "size" | "left" | "bottom" | "top" | "p" | "hitSlop" | "onLayout" | "pointerEvents" | "removeClippedSubviews" | "testID" | "nativeID" | "collapsable" | "needsOffscreenAlphaCompositing" | "renderToHardwareTextureAndroid" | "focusable" | "shouldRasterizeIOS" | "isTVSelectable" | "hasTVPreferredFocus" | "tvParallaxProperties" | "tvParallaxShiftDistanceX" | "tvParallaxShiftDistanceY" | "tvParallaxTiltAngle" | "tvParallaxMagnification" | "onStartShouldSetResponder" | "onMoveShouldSetResponder" | "onResponderEnd" | "onResponderGrant" | "onResponderReject" | "onResponderMove" | "onResponderRelease" | "onResponderStart" | "onResponderTerminationRequest" | "onResponderTerminate" | "onStartShouldSetResponderCapture" | "onMoveShouldSetResponderCapture" | "onTouchStart" | "onTouchMove" | "onTouchEnd" | "onTouchCancel" | "onTouchEndCapture" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityComponentType" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityTraits" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "width" | "right" | "value" | "shadow" | "alignContent" | "alignItems" | "alignSelf" | "appearance" | "backgroundAttachment" | "backgroundBlendMode" | "backgroundColor" | "backgroundImage" | "backgroundPosition" | "backgroundRepeat" | "backgroundSize" | "borderBottomColor" | "borderBottomLeftRadius" | "borderBottomRightRadius" | "borderBottomStyle" | "borderBottomWidth" | "borderLeftColor" | "borderLeftStyle" | "borderLeftWidth" | "borderRightColor" | "borderRightStyle" | "borderRightWidth" | "borderTopColor" | "borderTopLeftRadius" | "borderTopRightRadius" | "borderTopStyle" | "borderTopWidth" | "boxSizing" | "color" | "cursor" | "display" | "flexBasis" | "flexDirection" | "flexGrow" | "flexShrink" | "flexWrap" | "float" | "fontFamily" | "fontSize" | "fontStyle" | "fontWeight" | "height" | "inset" | "justifyContent" | "justifyItems" | "justifySelf" | "letterSpacing" | "lineHeight" | "marginBottom" | "marginLeft" | "marginRight" | "marginTop" | "maxHeight" | "maxWidth" | "minHeight" | "minWidth" | "objectFit" | "objectPosition" | "opacity" | "order" | "outlineColor" | "outlineOffset" | "overflowWrap" | "overflowX" | "overflowY" | "paddingBottom" | "paddingLeft" | "paddingRight" | "paddingTop" | "position" | "resize" | "textAlign" | "textDecorationLine" | "textOverflow" | "textTransform" | "transform" | "transformOrigin" | "userSelect" | "verticalAlign" | "visibility" | "whiteSpace" | "willChange" | "wordBreak" | "zIndex" | "animation" | "border" | "borderBottom" | "borderColor" | "borderLeft" | "borderRadius" | "borderRight" | "borderStyle" | "borderTop" | "borderWidth" | "margin" | "outline" | "overflow" | "padding" | "textDecoration" | "m" | "mt" | "mr" | "mb" | "ml" | "mx" | "marginX" | "my" | "marginY" | "pt" | "pr" | "pb" | "pl" | "px" | "paddingX" | "py" | "paddingY" | "insetX" | "insetY" | "pos" | "rounded" | "roundedTopLeft" | "roundedTopRight" | "roundedBottomLeft" | "roundedBottomRight" | "borderTopRadius" | "roundedTop" | "borderBottomRadius" | "roundedBottom" | "borderLeftRadius" | "roundedLeft" | "borderRightRadius" | "roundedRight" | "d" | "w" | "boxSize" | "maxW" | "minW" | "h" | "maxH" | "minH" | "bgColor" | "bgImage" | "bgImg" | "bgBlendMode" | "bgSize" | "bgPosition" | "bgPos" | "bgRepeat" | "bgAttachment" | "txtDecor" | "_text" | "flexDir" | "borderX" | "borderY" | "isIndeterminate" | "min" | "max" | "trackColor" | "thickness"> & React.RefAttributes<any>>>;
export default _default;
